| QxOrm 1.2.8 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Static Public Member Functions | Private Types
qx::QxBoostSerializeHelper< T > Class Template Reference

`#include <QxBoostSerializeHelper.h>`

List of all members.

## Classes
struct | QxBoostVoidCastRegisterHelper
struct | QxBoostVoidCastRegisterHelper< true, dummy >
## Static Public Member Functions
template<class Archive >
static void | register_type_helper (Archive &ar, const T *t)
static void | void_cast_register_helper (const T *t)
static void | init_guid (const T *t)
## Private Types
typedef T | type_derived
typedef qx::trait::get_base_class < type_derived >::type | type_base

## Detailed Description

### template<class T>
class qx::QxBoostSerializeHelper< T >

Definition at line 49 of file QxBoostSerializeHelper.h.

## Member Typedef Documentation

template<class T >

typedef qx::trait::get_base_class<type_derived>::type qx::QxBoostSerializeHelper< T >::type_base`[private]`

Definition at line 55 of file QxBoostSerializeHelper.h.

template<class T >

typedef T qx::QxBoostSerializeHelper< T >::type_derived`[private]`

Definition at line 54 of file QxBoostSerializeHelper.h.

## Member Function Documentation

template<class T >

static void qx::QxBoostSerializeHelper< T >::init_guid | ( | const T * | t | ) | `[inline, static]`

Definition at line 66 of file QxBoostSerializeHelper.h.

template<class T >
template<class Archive >

static void qx::QxBoostSerializeHelper< T >::register_type_helper | ( | Archive & | ar,
|  | const T * | t
| ) |  | `[inline, static]`

Definition at line 60 of file QxBoostSerializeHelper.h.

template<class T >

static void qx::QxBoostSerializeHelper< T >::void_cast_register_helper | ( | const T * | t | ) | `[inline, static]`

Definition at line 63 of file QxBoostSerializeHelper.h.

The documentation for this class was generated from the following file:

- D:/Dvlp/_Perso/QxOrm/include/QxSerialize/QxBoostSerializeHelper/QxBoostSerializeHelper.h